### Function Macro

# GObject signal_handlers_block_by_func

#### Declaration [src]

    #define g_signal_handlers_block_by_func (
      instance,
      func,
      data
    )

#### Description [src]

Blocks all handlers on an instance that match `func` and `data`.

This function is not directly available to language bindings.

#### Parameters

`instance`

  Type: `-`

  The instance to block handlers from.

`func`

  Type: `-`

  The C closure callback of the handlers (useless for non-C closures).

`data`

  Type: `-`

  The closure data of the handlers’ closures.